package com.boman.system.api;

import com.boman.common.core.constant.ServiceNameConstants;
import com.boman.system.api.domain.SysDept;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @author shiqian
 * @date 2021年04月07日 10:31
 **/
@FeignClient(contextId = "remoteDeptService", value = ServiceNameConstants.SYSTEM_SERVICE)
public interface RemoteDeptService {

    /**
     * 功能描述: 根据id查找
     *
     * @param id deptId
     * @return com.boman.common.core.web.domain.AjaxResult
     */
    @GetMapping(value = "/dept/getById/{id}")
    SysDept getById(@PathVariable("id") Long id);
}

