package com.boman.system.api;

import com.boman.common.core.constant.ServiceNameConstants;
import com.boman.common.core.web.domain.AjaxResult;
import com.boman.system.api.domain.SysMenu;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author tjf
 * @Date: 2021/04/13/9:53
 */
@FeignClient(contextId = "remoteSysMenuService", value = ServiceNameConstants.SYSTEM_SERVICE)
public interface RemoteSysMenuService {

    /**
     * 新增菜单
     * @param menu 菜单
     * @return
     */
    @PostMapping("/menu")
    public AjaxResult add(@Validated @RequestBody SysMenu menu);

}
