package com.boman.system.mapper;

import java.util.List;
import com.boman.system.domain.SysRoleData;

/**
 * 角色权限数据Mapper接口
 * 
 * @author ruoyi
 * @date 2021-04-26
 */
public interface SysRoleDataMapper 
{
    /**
     * 查询角色权限数据
     * 
     * @param id 角色权限数据ID
     * @return 角色权限数据
     */
    public SysRoleData selectSysRoleDataById(Long id);

    /**
     * 查询角色权限数据列表
     * 
     * @param sysRoleData 角色权限数据
     * @return 角色权限数据集合
     */
    public List<SysRoleData> selectSysRoleDataList(SysRoleData sysRoleData);

    /**
     * 新增角色权限数据
     * 
     * @param sysRoleData 角色权限数据
     * @return 结果
     */
    public int insertSysRoleData(SysRoleData sysRoleData);

    /**
     * 修改角色权限数据
     * 
     * @param sysRoleData 角色权限数据
     * @return 结果
     */
    public int updateSysRoleData(SysRoleData sysRoleData);

    /**
     * 删除角色权限数据
     * 
     * @param id 角色权限数据ID
     * @return 结果
     */
    public int deleteSysRoleDataById(Long id);

    /**
     * 批量删除角色权限数据
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysRoleDataByIds(Long[] ids);
}
