package com.boman.web.core.service.common;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * @author shiqian
 * @date 2021年04月15日 16:31
 **/
public interface ICommonService {

    /**
     * 功能描述: 根据表名和id查找
     *
     * @param tableName tableName
     * @param id        id
     * @return JSONObject
     */
    JSONObject getById(String tableName, Long id);


    /**
     * 功能描述: 根据condition进行查找
     *
     * @param tableName tableName
     * @param condition condition
     * @return java.util.List<com.alibaba.fastjson.JSONObject>
     */
    List<JSONObject> getByMap(String tableName, JSONObject condition);

    Long getMaxId(String tableName, String pkName);
}
